[24193] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r23794 - trunk/debathena/debathena/archive-keyring/debian

daemon@ATHENA.MIT.EDU (Evan Broder)
Mon May 18 12:47:35 2009

Date: Mon, 18 May 2009 12:47:26 -0400
From: Evan Broder <broder@MIT.EDU>
Message-Id: <200905181647.n4IGlQD7025056@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: broder
Date: 2009-05-18 12:47:25 -0400 (Mon, 18 May 2009)
New Revision: 23794

Modified:
   trunk/debathena/debathena/archive-keyring/debian/changelog
   trunk/debathena/debathena/archive-keyring/debian/debathena-archive-keyring.postinst
Log:
In archive-keyring:
  * Use the standard debhelper postinst template.


Modified: trunk/debathena/debathena/archive-keyring/debian/changelog
===================================================================
--- trunk/debathena/debathena/archive-keyring/debian/changelog	2009-05-18 16:29:49 UTC (rev 23793)
+++ trunk/debathena/debathena/archive-keyring/debian/changelog	2009-05-18 16:47:25 UTC (rev 23794)
@@ -3,8 +3,9 @@
   * Don't try to repeatedly delete the old keys, and actually fail if it
     fails to remove.
   * Add the new Debathena signing key (0D8A9E8F) to the keyring.
+  * Use the standard debhelper postinst template.
 
- -- Evan Broder <broder@mit.edu>  Mon, 18 May 2009 12:29:31 -0400
+ -- Evan Broder <broder@mit.edu>  Mon, 18 May 2009 12:47:12 -0400
 
 debathena-archive-keyring (1.1) unstable; urgency=low
 

Modified: trunk/debathena/debathena/archive-keyring/debian/debathena-archive-keyring.postinst
===================================================================
--- trunk/debathena/debathena/archive-keyring/debian/debathena-archive-keyring.postinst	2009-05-18 16:29:49 UTC (rev 23793)
+++ trunk/debathena/debathena/archive-keyring/debian/debathena-archive-keyring.postinst	2009-05-18 16:47:25 UTC (rev 23794)
@@ -1,8 +1,44 @@
 #!/bin/sh
+# postinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
 
-if hash apt-key >/dev/null 2>&1; then
-    apt-key add /usr/share/keyrings/debathena-archive-keyring.gpg
-    if apt-key list | grep -q A2DA1A6C; then
-        apt-key del A2DA1A6C
-    fi
-fi
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+    configure)
+        if hash apt-key >/dev/null 2>&1; then
+            apt-key add /usr/share/keyrings/debathena-archive-keyring.gpg
+            if apt-key list | grep -q A2DA1A6C; then
+                apt-key del A2DA1A6C
+            fi
+        fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0


home help back first fref pref prev next nref lref last post